Subject: Butterfly Screen Saver

From: Bill Terrill <[email-masked]>
Date: Wed, 4 Jan 95 23:43:03 -0500

For those that might be interested- on a recent vacation to Florida, we made a
side trip to Callaway Gardens in Pine Mountain, Ga. and the cecil B. Day
Butterfly Center. In the gift shop I purchased for $9.95 plus tax their
Butterfly Screen Saver. It is a marvalous collection of photos of 12 different
butterflies. You may also access data on these butterflies and the Butterfly
center. Their address is: Calloway Gardens, P.O. Box 2000, Pine Mountain, Ga.
31822-2000. It is certainly a lot more impressive than Flying Toasters.